package com.bcxin.tenant.open.domains.services.commands;

import com.bcxin.tenant.open.infrastructures.commands.CommandAbstract;
import lombok.Getter;

import java.util.Collection;

@Getter
public class RefreshEmployeeStationCommand extends CommandAbstract {
    private final Collection<String> employeeIds;

    public RefreshEmployeeStationCommand(Collection<String> employeeIds) {
        this.employeeIds = employeeIds;
    }

    public static RefreshEmployeeStationCommand create(Collection<String> employeeIds) {
        return new RefreshEmployeeStationCommand(employeeIds);
    }
}
